function conditionedIndividual = conditionIndividual(IP)
load('RunTimeData.mat');

variantSwitch = 5; % Location of powertrain variant identifier in the individual
positionConverter2 = 3;
positionStorage2 = 4;

try
    if isempty(IP)
        conditionedIndividual = IP;
    else
        conditionedIndividual = zeros(size(IP));
        
        for i = 1:length(IP(:,1))
            powertrainVariant = runData.powertrainSelection(IP(i,variantSwitch));
            conditionedIndividual(i,:) = IP(i,:);
            
            switch powertrainVariant
                case 1  % Conventional Powertrain
                    conditionedIndividual(i,positionConverter2) = 1;
                    conditionedIndividual(i,positionStorage2) = 1;
                    
                case 2  % EV
                    conditionedIndividual(i,positionConverter2) = 1;
                    conditionedIndividual(i,positionStorage2) = 1;
                    
                case 3  % Series PHEV
                    %conditionedIndividual(i,positionConverter2) = 1;
                    %conditionedIndividual(i,positionStorage2) = 1;
                    
                case 4  % Fuel Cell + Ultracap
                    %conditionedIndividual(i,positionConverter2) = 1;
                    %conditionedIndividual(i,positionStorage2) = 1;
                    
                case 5  % Parallel Flywheel + CVT
                    conditionedIndividual(i,positionConverter2) = 1;
                    %conditionedIndividual(i,positionStorage2) = 1;
                    
                case 6  % Battery + Ultracap
                    conditionedIndividual(i,positionConverter2) = 1;
                    %conditionedIndividual(i,positionStorage2) = 1;
                    
                case 7  % EV (with SOH)
                    conditionedIndividual(i,positionConverter2) = 1;
                    conditionedIndividual(i,positionStorage2) = 1;
                    
                case 8  % Battery (with SOH) + Ultracap
                    conditionedIndividual(i,positionConverter2) = 1;
                    %conditionedIndividual(i,positionStorage2) = 1;
                    
                otherwise
                    disp('Invalid powertrain selection');
                    conditionedIndividual(i,:) = IP(i,:);
                    keyboard;
            end
        end
    end
    
catch ConditionError
    disp('Population conditioning error - function aborted')
    conditionedIndividual = IP;
    keyboard;
end

end