function gaResult = createGAMulti(funHdl,LB,UB,iniPopDist,EliteCount,Generations)

toPlot = 0;
% To Plot Works only in 2 Dimesnsions

% Calculate Number of Parameters (nP) and Population Size(popSize)
popSize = 1;

nP = length(iniPopDist);
for j = 1:length(iniPopDist)
    popSize=popSize*iniPopDist(j);
end

[IP scores] = createValidIP(funHdl,LB,UB,iniPopDist);

if toPlot
    figure(10)
    scatter(IP(:,1),IP(:,2),scores);
    %keyboard;
end

%keyboard;
disp('Running Genetic Algorithm...')
if gotLicense('GADS_Toolbox',1000,5) == 1
    
    % Start with the default options
    options = gaoptimset;
    % Modify options setting
    %options = gaoptimset(options,'PopInitRange', [LB;UB]);
    options = gaoptimset(options,'PopulationSize', popSize);
    %options = gaoptimset(options,'EliteCount', EliteCount);
    options = gaoptimset(options,'CrossoverFraction', 0);
    options = gaoptimset(options,'InitialPopulation', IP);
    %options = gaoptimset(options,'InitialScores', scores);
    %options = gaoptimset(options,'CreationFcn', @gacreationlinearfeasible);
    %options = gaoptimset(options,'FitnessScalingFcn', @fitscalingprop);
    %options = gaoptimset(options,'SelectionFcn', @selectionstochunif);
    %options = gaoptimset(options,'TimeLimit', 24*60*60);
    %options = gaoptimset(options,'FitnessLimit', 0);
    %options = gaoptimset(options,'StallGenLimit', round(Generations/2));
    %options = gaoptimset(options,'StallTimeLimit', 12*60*60);
    %options = gaoptimset(options,'CrossoverFcn', @int_crossoverscattered);
    options = gaoptimset(options,'MutationFcn', @funMutation);
    %options = gaoptimset(options,'HybridFcn', {  @fminsearch [] });
    options = gaoptimset(options,'Display', 'iter');
    options = gaoptimset(options,'PlotFcns', {@gaplotbestf,@gaplotbestindiv,@gaplotpareto,@gaplotexpectation,@gaplotrange,@gaplotscorediversity,@gaplotscores,@gaplotselection,@gaplotstopping});
    %options = gaoptimset(options,'Vectorized', 'off');
    options = gaoptimset(options,'UseParallel', 'always');
    options = gaoptimset(options,'Generations', Generations); % REMEMBER TO TURN OFF !!
    
    [x,fval,exitflag,output,population,score] = ...
        gamultiobj(funHdl,length(UB),[],[],[],[],LB,UB,options);
else
    return
end

gaResult.x = x;
gaResult.fval = fval;
gaResult.exitFlag = exitflag;
gaResult.output = output;
gaResult.population = population;
gaResult.score = score;

    function mutationChildren = funMutation(parents,options,GenomeLength, ...
            FitnessFcn,state,thisScore,thisPopulation)
        x = state.Generation/options.Generations;
        y = (0.01 - 0.1) * x + 0.1;
        
        mutationChildren = zeros(length(parents),GenomeLength);
        
        parfor i = 1:length(parents)
            mutationChildren(i,:) = findNearIndividual(state.Population(parents(i),:),y,UB,LB,funHdl,1,toPlot);
        end
        
        if toPlot
            %keyboard;
            saveas(20,['Generation_' num2str(state.Generation)],'png');
            close 20;
        end
    end
end

function [IP scores] = createValidIP(funHdl,LB,UB,popDist)
disp('Creating Initial Population...')
IP = getIniPop(LB,UB,popDist,2);
IP = removeRepetition(LB,UB,IP);
[IP scores] = replaceNonValid(funHdl,LB,UB,IP,1);
end