function [Size Value MiscOutput]=crunchGA(LB,UB,iniPopDist,EliteCount,Generations)
load('RunTimeData.mat');

disp('Loading Genetic Algorithm...')

switch runData.costFunction
    case {1,2,3}
        gaResult = createGA(@optimiseGA,LB,UB,iniPopDist,EliteCount,Generations);
    case {4,5,6}
        gaResult = createGAMulti(@optimiseGA,LB,UB,iniPopDist,EliteCount,Generations);
    otherwise
        disp('Invalid costfunction selection');
        keyboard;
end

MiscOutput.exitFlag = gaResult.exitFlag;
MiscOutput.output = gaResult.output;
MiscOutput.population = gaResult.population;
MiscOutput.score = gaResult.score;

Value = gaResult.fval;

if size(Value,1) == 1  % Single-objective Optimization
    Size.conScale = gaResult.x(1);
    Size.stoScale = gaResult.x(2);
    Size.conScale2 = gaResult.x(3);
    Size.stoScale2 = gaResult.x(4);
    Size.powertrainVariant = gaResult.x(5);
    
    [in simu] = runModel([],[],runData.dcType,runData.dcCount,[],Size.conScale,Size.stoScale,Size.conScale2,Size.stoScale2,[],Size.powertrainVariant,runData.powertrainSelection);
    
    Size.vehMass = in.massT;
    Size.vehCost = in.costT;
    Size.wtw_CO2 = simu.wtw_CO2;
    Size.ttw_CO2 = simu.ttw_CO2;
    Size.in = in;
    Size.simu = simu;
else                   % Multi-objective Optimization
    Size.conScale = gaResult.x(:,1);
    Size.stoScale = gaResult.x(:,2);
    Size.conScale2 = gaResult.x(:,3);
    Size.stoScale2 = gaResult.x(:,4);
    Size.powertrainVariant = gaResult.x(:,5);
end
end
