function initME = initGearbox(vehSpeed,gearboxType)    % Note: vehspeed is in km/h
initME.gb_eff = 1; %0.95;
initME.gr = getGearSchedule(vehSpeed,gearboxType);
initME.costC = 0;
initME.massC = 0;
end


function grS = getGearSchedule(vehSpeed,gearboxType)

% Powertrain Selection
% 1 - Discreet ratios
% 2 - Constant ratio

switch gearboxType
    case 1
        grRatio = [2.500 2.100 1.750 1.450 1.200 1.000 0.833 0.677];
        
        grS = zeros(size(vehSpeed));
        grS(and(vehSpeed>=0,vehSpeed<30)) = grRatio(1);
        grS(and(vehSpeed>=30,vehSpeed<50)) = grRatio(2);
        grS(and(vehSpeed>=50,vehSpeed<70)) = grRatio(3);
        grS(and(vehSpeed>=70,vehSpeed<90)) = grRatio(4);
        grS(and(vehSpeed>=90,vehSpeed<110)) = grRatio(5);
        grS(and(vehSpeed>=110,vehSpeed<130)) = grRatio(6);
        grS(and(vehSpeed>=130,vehSpeed<150)) = grRatio(7);
        grS(vehSpeed>=150) = grRatio(end);
        
    case 2
        grS = ones(size(vehSpeed)).*4.53.*1.91./5;
        
    otherwise
        disp('Invalid transmission selection');
end

end
