function initME = initTank(stoScale,stoPosition)

initME.tank = tank(stoScale);

switch stoPosition  % 1=Primary, 2=Secondary
    case 1
        initME.costB = initME.tank.cost;
        initME.massB = initME.tank.mass;
        
    case 2
        initME.costE = initME.tank.cost;
        initME.massE = initME.tank.mass;
end

end


function tank = tank(stoScale)

tank.tankSize = stoScale;   % litres
tank.Hl = 44.4 * 10 ^ 6;    % Fuel lower heating value (J/kg)

tankBaseMass = 10;          % kg
fuelMass = 0.77 * tank.tankSize; % kg/l
fuelCost = 2.00 * tank.tankSize; % $/l

tank.mass = tankBaseMass + fuelMass;
tank.cost = fuelCost;

end
