function initME = initUltraCap(stoScale)

% min_np = 1;   % Minimum strings in parallel
% max_np = 5;   % Maximum strings in parallel
% range_np = max_np - min_np;
%
% min_ns = 150;   % Minimum strings in series
% max_ns = 200;   % Maximum strings in series
% range_ns = max_ns - min_ns;
%
% np = (stoScale/100)*range_np;
% np = np + min_np;
%
% ns = (stoScale/100)*range_ns;
% ns = ns + min_ns;

tempStoScale = 0;

if stoScale > 25
    if stoScale > 50
        if stoScale > 75
            np = 4;
            tempStoScale = stoScale - 75;
        else
            np = 3;
            tempStoScale = stoScale - 50;
        end
    else
        np = 2;
        tempStoScale = stoScale - 25;
    end
else
    np = 1;
    tempStoScale = stoScale;
end

ns = ((tempStoScale-1)*5)+10;
% keyboard;

initME.ucap = ucap(round(ns),round(np));
% initME.ucap.init = 0;
initME.costB = initME.ucap.cost;
initME.massB = initME.ucap.mass;

end


function ucap = ucap(ns,np)
%% Capacitor Parameters

% Internal resistance of the ultracapacitor
ucap.Rcap = 1e-3;

% Capacitance of each capacitor (F)
ucap.Ccap = 2700;

% Maximum voltage per capacitor (V)
ucap.Ucap_max = 2.5;

% Minimum voltage per capacitor (V)
ucap.Ucap_min = 0;

% Number of capacitors in series
ucap.ns_cap = ns;

% Number of capacitors in parallel
ucap.np_cap = np;

% Initial State-of-Charge (%)
initialSOC = 90;
ucap.init_SOC = ucap.Ucap_max .* ucap.ns_cap .* sqrt(initialSOC/100);

% Mass and Cost
ucap.cost = 30 * ns * np; % USD based on Max's thesis
ucap.mass = 0.725 * ns * np; % based on Max's thesis


%% Power Electronics Parameters
%Forward voltage drop of the IGBT swirches
ucap.Vigbt = 2.4;

%resistance of the converter inductor
ucap.Rc = 0.005;

%switching frequency
ucap.fs = 10000;

%switchlosses
ucap.switch_loss_x = [0 50 100 150 200 250 300 350 400 450 500];
ucap.switch_loss_y = (400/720)*0.001*[0 25 45 65 85 105 130 155 180 210 235];

end