function optimiseMe = optimiseGA(x)
load('RunTimeData.mat');

[in simu] = runModel([],runData.massLimit,runData.dcType,runData.dcCount,[],x(1),x(2),x(3),x(4),runData.costLimit,x(5),runData.powertrainSelection);

% Cost Functions:
% 1 - Well-to-Wheel CO2
% 2 - Tank-to-Wheel CO2
% 3 - Mass
% 4 - WtW CO2 and Mass (Multi-objective)
% 5 - WtW CO2 and Cost (Multi-objective)
% 6 - Mass of Battery vs Mass of UCap (Multi-objective)

switch runData.costFunction
    case 1
        optimiseMe = simu.wtw_CO2;
        
    case 2
        optimiseMe = simu.ttw_CO2 + (0.1 .* simu.wtw_CO2);
        
    case 3
        if isinf(simu.wtw_CO2)
            optimiseMe = inf;
        else
            optimiseMe = in.massT;
        end
        
    case 4
        if isinf(simu.wtw_CO2)
            optimiseMe(1) = inf; %1e12;
            optimiseMe(2) = inf; %1e12;
        else
            optimiseMe(1) = simu.wtw_CO2;
            optimiseMe(2) = in.massT;
        end
        
    case 5
        if isinf(simu.wtw_CO2)
            optimiseMe(1) = inf; %1e12;
            optimiseMe(2) = inf; %1e12;
        else
            optimiseMe(1) = simu.wtw_CO2;
            optimiseMe(2) = in.costT;
        end
        
    case 6
        if isinf(simu.wtw_CO2)
            optimiseMe(1) = inf; %1e12;
            optimiseMe(2) = inf; %1e12;
        else
            optimiseMe(1) = in.massB;
            optimiseMe(2) = in.massE;
        end
        
    otherwise
        disp('Invalid costfunction selection');
        keyboard;
end

end