function [resultArray] = runDCRange(dcType,dcIncrement,dcLowerLimit,dcUpperLimit,massLimit,costLimit,costFunction,powertrainSelection)

runData.dcType = dcType;
runData.massLimit = massLimit;
runData.costLimit = costLimit;
runData.costFunction = costFunction;
runData.powertrainSelection = powertrainSelection;

try
    resultArray.cycleNumber=[];
    resultArray.value=[];
    resultArray.wtw_CO2=[];
    resultArray.ttw_CO2=[];
    resultArray.conScale=[];
    resultArray.stoScale=[];
    resultArray.conScale2=[];
    resultArray.stoScale2=[];
    resultArray.vehMass=[];
    resultArray.vehCost=[];
    resultArray.powertrainVariant=[];
    resultArray.in_simu=struct('in',{},'simu',{},'miscOutput',{});
    
    LB = [1 1 1 1 1];
    UB = [100 100 100 100 length(powertrainSelection)];
    iniPopDist = [3 3 3 3 length(powertrainSelection)];
    EliteCount = 5;
    Generations = 20;
    
    for i=dcLowerLimit:dcIncrement:dcUpperLimit
        runData.dcCount=i;
        save('RunTimeData','runData');
        [Size Value MiscOutput]=crunchGA(LB,UB,iniPopDist,EliteCount,Generations);
        
        if Value==inf
            break;
        else
            resultArray.cycleNumber(end+1)=i;
            if size(Value,1) == 1  % Single-objective Optimization
                resultArray.value(end+1)=Value;
                resultArray.wtw_CO2(end+1)=Size.wtw_CO2;
                resultArray.ttw_CO2(end+1)=Size.ttw_CO2;
                resultArray.conScale(end+1)=Size.conScale;
                resultArray.stoScale(end+1)=Size.stoScale;
                resultArray.conScale2(end+1)=Size.conScale2;
                resultArray.stoScale2(end+1)=Size.stoScale2;
                resultArray.vehMass(end+1)=Size.vehMass;
                resultArray.vehCost(end+1)=Size.vehCost;
                resultArray.powertrainVariant(end+1)=Size.powertrainVariant;
                in_simu.in = Size.in;
                in_simu.simu = Size.simu;
            else                   % Multi-objective Optimization
                resultArray.value{end+1}=Value;
                resultArray.conScale{end+1}=Size.conScale;
                resultArray.stoScale{end+1}=Size.stoScale;
                resultArray.conScale2{end+1}=Size.conScale2;
                resultArray.stoScale2{end+1}=Size.stoScale2;
                resultArray.powertrainVariant{end+1}=Size.powertrainVariant;
                in_simu.in = [];
                in_simu.simu = [];
            end
            in_simu.miscOutput = MiscOutput;
            resultArray.in_simu(end+1)=in_simu;
            
            saveString=['Result' num2str(i)];
            save(saveString);
        end
    end
    
catch ME
    save('Result_Fail');
end

save('Result_EndRunDC');
end
