close all;
clear all;
clc;

%% Drivecycle to Use
% 0 - Blank
% 1 - NEDC
% 2 - Real - World
% 3 - Artemis
% 4 - Constant Speed where type is speed value

dcType = 3;
dcIncrement = 1;
dcLowerLimit = 136;
dcUpperLimit = 136;

%% Minimisation Function
% 1 - Well-to-Wheel CO2
% 2 - Tank-to-Wheel CO2
% 3 - Mass
% 4 - WtW CO2 and Mass (Multi-objective)
% 5 - WtW CO2 and Cost (Multi-objective)
% 6 - Mass of Battery vs Mass of UCap (Multi-objective)

costFunction = 6;

%% Simulation Limits

massLimit = 5000;
costLimit = 1e9;

%% Powertrain Selection
% 1 - Conventional Powertrain
% 2 - EV
% 3 - Series PHEV
% 4 - Fuel Cell + Ultracap
% 5 - Parallel Flywheel + CVT
% 6 - Battery + Ultracap
% 7 - EV (with SOH)
% 8 - Battery (with SOH) + Ultracap

powertrainSelection = [8];  %Please ensure selection array is in ascending order!
powertrainSelection = sort(powertrainSelection);

%% Launch Simulation

[resultArray] = runDCRange(dcType,dcIncrement,dcLowerLimit,dcUpperLimit,massLimit,costLimit,costFunction,powertrainSelection);

save('Result_Final');
