function simuME = simuMachine(in,simu,Powertrain)

switch Powertrain
    case 2  % Battery is primary energy storage
        simuME.SOC = simu.Out2;
        
    case 6  % Battery is secondary energy storage
        simuME.SOC = simu.Out5;
end

if max(simu.t) < in.sim_stoptime
    simuME.wtw_CO2 = inf;
    simuME.ttw_CO2 = inf;
else
    in.batt.init = simuME.SOC(end);
    in.sim_stoptime = 50000;
    in.vehMode = 2;
    
    simu = runSimu(in,Powertrain);
    
    simuME.t_chg = simu.t;
    
    switch Powertrain
        case 2  % Battery is primary energy storage
            simuME.wtw_CO2 = simu.Out1(end);
            simuME.SOC_chg = simu.Out2;
            simuME.batt_Energy = simu.Out3(:);
            
        case 6  % Battery is secondary energy storage
            simuME.wtw_CO2 = simu.Out4(end);
            simuME.SOC_chg = simu.Out5;
            simuME.batt_Energy = simu.Out6(:);
    end
    
    simuME.batt_EnergykWh = simuME.batt_Energy.*2.77777778e-7;
    simuME.ttw_CO2 = 0;
end

end